
/*
 *      file    name            file.h
 *      (C) Copyright           Akito Monden    1996 - 1998
 */

#ifndef BCC
struct File{
    char *top_adr;
    char *cur_adr;
    char *end_adr;
    int  flag; /* read 0 , write 1 */
#ifdef WINDOWS
    HANDLE f;
#else
    int f;
#endif
};
typedef struct File file;
#endif

#ifdef GCC
long filelength(int fd);
#endif

#ifdef BCC
extern int getc2(long fp);
extern void fseek2(long fp, long l, int s);
extern long fopen2(char c1[], char c2[]);
/* void fwrite2(char *adr, long l, long fp); */
extern void fclose2(long fp);
extern void fgetpos2(long fp, fpos_t *l);
extern void fsetpos2(long fp, fpos_t *l);
extern void fclose3(long fpa, long fpb);
extern void fclose4(long fpa, long fpb);	/* 3$B$N(BWRITE */
extern void putc2(int c, long fp);
extern long fmalloc(void);
extern void ffree(long fp);
#else
int getc2(file *fp);
void fseek2(file *fp, long l, int s);
file *fopen2(char c1[], char c2[]);
/* void fwrite2(char *adr, long l, file *fp); */
void fclose2(file *fp);
void fgetpos2(file *fp, fpos_t *l);
void fsetpos2(file *fp, fpos_t *l);
void fclose3(file *fpa, file *fpb);
void fclose4(file *fpa, file *fpb);	/* 3$B$N(BWRITE */
void putc2(int c, file *fp);
file *fmalloc(void);
void ffree(file *fp);
#endif

#ifndef BCC
#define putc2(ca,fp) ( *(fp->cur_adr++) = ca )
#endif

#undef extern
