
/*
 *      file    name            mmlproc.c
 *      (C) Copyright           Akito Monden    1996 - 1998
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "win.h"
#include "file.h"
#include "charproc.h"
#include "mmlproc.h"

/* mml2mid.c $B$+$i$N(B extern */
#ifdef BCC
extern long fp2;         /* $B=PNO%U%!%$%k(B(mid) */
extern long fp3;         /* $B%F%s%]!&%^%C%WMQ(B */
extern void smftrkheader(long fp, fpos_t *trsize);
#else
extern file *fp2;         /* $B=PNO%U%!%$%k(B(mid) */
extern file *fp3;         /* $B%F%s%]!&%^%C%WMQ(B */
extern void smftrkheader(file *fp, fpos_t *trsize);
#endif
extern int timebase;      /* $B%?%$%`%Y!<%9(B 48,60,80,96,120,160,240,480 */
extern int trknum;        /* $B%H%i%C%/?t(B */
extern fpos_t trksize;    /* $B%H%i%C%/%5%$%:$r=q$-9~$`>l=j(B */
extern int tnum;          /* $B%H%i%C%/$rI=$9(B 0A 1B 2C $B$J$I$N(B 0,1,2 */
extern int talf;          /* $B%H%i%C%/$rI=$9(B 0A 1B 2C $B$J$I$N(B A,B,C */
extern fpos_t lastlenpos; /* $B:G8e$K2;D9$r=q$-9~$s$@>l=j$X$N%]%$%s%?(B */
extern long lastlen;      /* $B:G8e$K=q$-9~$s$@2;D9$NCM(B */
extern int x68k;
extern void remove_file(void);
extern int head; /* $B=>B0%Q!<%H$G%X%C%@$r=q$$$?$+$I$&$+$N%U%i%0(B */

/* note.c $B$+$i$N(B extern */
extern int andflag;     /* &$B$,$"$C$?$+$I$&$+$N%U%i%0(B */
extern int koff;                /* $B%-!<%*%U!&%Y%m%7%F%#(B */
extern int keyproc_ptr;   /* $B%-!<%*%U;~$K=hM}$9$Y$-%$%Y%s%H$N8D?t(B */
extern int mmlproc_ptr;
extern int mmlproc_p1[1024];  /* $BL$=hM}%$%Y%s%H$NBh(B1$B%Q%i%a!<%?(B */
extern int mmlproc_p2[1024];  /* $BL$=hM}%$%Y%s%H$NBh(B2$B%Q%i%a!<%?(B */
extern long mmlproc_st[1024]; /* $BL$=hM}%$%Y%s%H$N%9%F%C%W%?%$%`(B */
extern void note(int code); /* $B2;Id!"5YId=hM}(B*/
extern void noteoff(int onkai, int localkoff);
extern int soutai0(int base);

long tstep;		/* $B%H%i%C%/$N8=:_$N%9%F%C%W%?%$%`(B */
int kloop_ptr;          /* $B%k!<%W%M%9%H?t(B */
int cur_line;           /* $B8=:_$N(BMML$B%=!<%9>e$N9THV9f(B */
int cur_ch;             /* $B8=:_$N%A%c%s%M%k(B */
int run;                /* $B%i%s%K%s%0%9%F!<%?%9(B */
int octave;             /* $B%*%/%?!<%V(B */
int under;              /* $BE>D4(B */
int clength;            /* l$B%3%^%s%I$N2;D9(B */
int velocity, rvel1, rvel2;           /* $B%Y%m%7%F%#!<(B */
int ktencho;             /* $B6/@)E>D4%3%^%s%I$NCM(B 0$B$@$HL5;k$5$l$k(B */
int gatetimeQ;           /* Q$B%3%^%s%I$NCM(B $B%G%#%U%)%k%H$O(B8 */
int gatetime, gatetime2; /* q$B%3%^%s%I$NCM(B */
int volume;
int expression;
int bend1;
int bend2;
int kakko_def;
int panpot, rpan1, rpan2;
int mod1, mod2;
int koff;                /* $B%-!<%*%U!&%Y%m%7%F%#(B */
int tmap[1024];
int tmap_p1[1024];
long tmap_st[1024];
int tmap_ptr = 0;
int keyproc2[256]; /* gatetime$B$,%^%$%J%9$J$N$G!"$^$@%-!<%*%U$7$F$J$$2;(B */
long keyproc2_st[256];   /* $B%2!<%H%?%$%`(B */
int keyproc2_vel[256];   /* $B%-!<%*%U!&%Y%m%7%F%#(B */
int keyproc2_ptr;  /* $B8D?t(B */
int codef[10][32]; /* F$B%3%^%s%IJ]B8MQ(B */
int codei[10][5]; /* I$B%3%^%s%IJ]B8MQ(B */
int rpn_para;
int nrpn_para;
int psw; /* '='$B%9%$%C%A(B */
int prog; /* $B%W%m%0%i%`%A%'%s%8(B */
int bs1; /* bank select */
int bs2; /* bank select */
int ppres; /* poli-pressure */
int cpres; /* channel pressure */

#ifdef BCC
void write_length(long i, long fp); /* $B@dBPD9(B->$B2DJQD9$KJQ49$7$F=q$-$3$`(B */
#else
void write_length(long i, file *fp); /* $B@dBPD9(B->$B2DJQD9$KJQ49$7$F=q$-$3$`(B */
#endif
void write_keyproc2(void); /* 1$B%H%i%C%/JQ49=*N;D>8e$K!$H/2;Cf$N2;$r%-!<%*%U(B */
void write_restofmmlproc(void);
void code_y(void); /* y$B%3%^%s%I=hM}(B */
void oct(void); /* $B%*%/%?!<%V=hM}(B */
int length(void);
int xget(int *i);
void tempo(void); /* t$B%3%^%s%I=hM}(B */
void code_B(void); /* B$B$,Mh$?$H$-$N=hM}(B (BS, BB, BR, BT) */
void beat(void);		/* BT$B%3%^%s%I=hM}(B */
void bendrange(void);	/* BR$B%3%^%s%I$N=hM}(B */
void bendword(void);    /* BW$B%3%^%s%I$N=hM}(B */
void bendset(void);		/* BS$B%3%^%s%I$N=hM}(B */
void bendbend(void);	/* BB$B%3%^%s%I$N=hM}(B */
int log2i(int i);		/* log(2,i) */
void getgatetime(void);
void getgatetimeQ(void);
void getktencho(void);
void getvelocity(void);
void getvolume(void);
void getexpression(void);
void getexclusive(int x);
void code_E(void);
void code__(void);
void code___(void);
void kakko1(void);
void kakko2(void);
void bankselect(void);
void progchange(void);
void getpanpot(void);
void setRT(void);
void keyoffvelocity(void);
void code_M(void);
void err(int i); /* $B%(%i!<=hM}(B */
void code_F(void);
void set_codef(int y);
void code_I(void);
void set_codei(int y);
int check_cntchange(int p1, int p2);
void put_cntchange(int p1, int p2, long l);
void put_cntchange0(int p1, int p2);
int check_bend(int p1, int p2);
void put_bend(int p1, int p2, long l);
void put_bend0(int p1, int p2);
void write_rpn(int tmsb,int tlsb,int tdat); /* RPN$B=q$-9~$_(B */
void write_nrpn(int tmsb,int tlsb,int tdat); /* NRPN$B=q$-9~$_(B */
void detune(void);
void getnrpn(void);
void setpsw(void); /* #$B%9%$%C%A=hM}(B */
void write_header(void);
void ppres0(void);
void cpres0(void);

/* control change $B$r=q$/$+$I$&$+$r%A%'%C%/$9$k4X?t(B */
/* $B=q$/>l9g$O(B0$B$r!"=q$+$J$$>l9g$O(B -1 $B$rJV$9!#(B */
/* p1 == -1 $B$N;~$O!$(Bstatic $BJQ?t$N=i4|2=(B */
/* p2 == -1 $B$N;~$O!"2?$b$;$:$K%j%?!<%s(B */
int check_cntchange(int p1, int p2)
{
	static int last_modulation = -1;
	static int last_volume = -1;
	static int last_panpot = -1;
	static int last_expression = -1;
	
	if(p2 == -1) return -1;
	if(p1 == -1){ /* $B?7$?$J%H%i%C%/$N%3%s%Q%$%k!"$^$?$O!"(Bs$B%3%^%s%IH/8z(B */
	    last_modulation = -1;
	    last_volume = -1;
	    last_panpot = -1;
	    last_expression = -1;
	    return -1;
	}
	
	switch(p1){
	case 1:
		if(p2 == last_modulation) return -1;
		last_modulation = p2;
		break;
	case 7:
		if(p2 == last_volume) return -1;
		last_volume = p2;
		break;
	case 10:
		if(p2 == last_panpot) return -1;
		last_panpot = p2;
		break;
	case 11:
		if(p2 == last_expression) return -1;
		last_expression = p2;
		break;
	default:
		break;
	}
	return 0;
}

/* control change $B$r=q$/4X?t!#=q$/$+$I$&$+%A%'%C%/$rF~$l$k!#(B */
/* $B=q$$$?8e$K%9%F%C%W%?%$%`$b=q$/(B */
void put_cntchange(int p1, int p2, long l)
{
	if(psw == 0){
		if(check_cntchange(p1, p2) == -1) return;
		put_cntchange0(p1, p2);
		write_length(l, fp2);
	}
}

/* control change $B$r=q$/4X?t!#%A%'%C%/L5$7$G=q$/!#(B */
void put_cntchange0(int p1, int p2)
{
    if(run != 0xb){
        putc2(0xb0 + cur_ch, fp2);
        run = 0xb;
    }
    putc2(p1, fp2);
    putc2(p2, fp2);
}

/* bend $B$r=q$/$+$I$&$+$r%A%'%C%/$9$k4X?t(B */
/* $B=q$/>l9g$O(B0$B$r!"=q$+$J$$>l9g$O(B -1 $B$rJV$9!#(B */
/* p == -1 $B$N;~$O!$(Bstatic $BJQ?t$N=i4|2=(B */
int check_bend(int p1, int p2)
{
	static int last_bend1 = -1;
	static int last_bend2 = -1;
	
	if(p1 == -1){ /* $B?7$?$J%H%i%C%/$N%3%s%Q%$%k!"$^$?$O!"(Bs$B%3%^%s%IH/8z(B */
	    last_bend1 = -1;
	    last_bend2 = -1;
	    return -1;
	}
	
	if(p1 == last_bend1 && p2 == last_bend2) return -1;
	last_bend1 = p1;
	last_bend2 = p2;
	return 0;
}

/* bend $B$r=q$/4X?t!#=q$/$+$I$&$+%A%'%C%/$rF~$l$k!#(B */
/* $B=q$$$?8e$K%9%F%C%W%?%$%`$b=q$/(B */
void put_bend(int p1, int p2, long l)
{
	if(psw == 0){
		if(check_bend(p1, p2) == -1) return;
		put_bend0(p1, p2);
		write_length(l, fp2);
	}
}

/* bend $B$r=q$/4X?t!#%A%'%C%/L5$7$G=q$/!#(B */
void put_bend0(int p1, int p2)
{
	if(psw == 0){
	    if(run != 0xe){
	        putc2(0xe0 + cur_ch, fp2);
	        run = 0xe;
	    }
	    putc2(p2, fp2);
	    putc2(p1, fp2);
	}
}

/* RPN$B=q$-9~$_(B */
void write_rpn(int tmsb, int tlsb, int tdat)
{
	int i;
	if(psw != 0) return;
	i = tmsb * 256 + tlsb;
	if(i != rpn_para) {
		put_cntchange0(101, tmsb);
    	write_length(0, fp2);
		put_cntchange0(100, tlsb);
    	write_length(0, fp2);
		rpn_para = i;
	}
	nrpn_para = -1;
	put_cntchange0(6, tdat);
    write_length(0, fp2);
}

/* NRPN$B=q$-9~$_(B */
void write_nrpn(int tmsb, int tlsb, int tdat)
{
	int i;
	if(psw != 0) return;
	i = tmsb * 256 + tlsb;
	if(i != nrpn_para){
		put_cntchange0(99, tmsb);
    	write_length(0, fp2);
		put_cntchange0(98, tlsb);
    	write_length(0, fp2);
		nrpn_para = i;
	}
	rpn_para = -1;
	put_cntchange0(6, tdat);
    write_length(0, fp2);
}

/*
  tnum, talf$B$KBP1~$9$k%H%i%C%/$rJQ49$9$k!%(B
  $B%H%i%C%/$K#1J8;z$b$J$$>l9g!"(B-1$B$rJV$9!#(B
  */
int converttrk(void)
{
    int i;
    int code;
    
    /* $B%0%m!<%P%kJQ?t$N=i4|2=(B */
    cur_line = 1; /* $B9THV9f(B = 1 $B$+$iFI$_;O$a$k(B */
    kloop_ptr = 0; /* $B%k!<%W%M%9%H?t(B = 0 */
    cur_ch = 0; /* $B8=:_=hM}Cf$N(BMIDI$B%A%c%s%M%k(B */
    run = 0; /* $B%i%s%K%s%0%9%F!<%?%9=i4|2=(B */
    octave = 4; /* $B%*%/%?!<%V(B */
    under = 0; /* $BE>D4(B */
    clength = 4; /* l$B%3%^%s%I$N2;D9(B */
    velocity = 100; /* $B%Y%m%7%F%#!<(B */
    tstep = 0; /* $B%H%i%C%/$N8=:_$N%9%F%C%W%?%$%`(B */
    kakko_def = 4;
    /*
    volume = 100;
    expression = 127;
    bend1 = 64;
    bend2 = 0;
    panpot = 64;
    */
    volume = -1;
    expression = -1;
    bend1 = -1;
    bend2 = 0;
    panpot = -1;
    
    ppres = 0;
    cpres = 0;
    
    rpan1 = rpan2 = 0;
    rvel1 = rvel2 = 0;
    mod1 = 0;
    koff = 0; /* $B%-!<%*%U%Y%m%7%F%#!<(B */
	rpn_para = -1;
	nrpn_para = -1;
	psw = 0; /* '='$B%9%$%C%A#O#F#F(B */
	prog = -1;
	bs1 = bs2 = 0;
    for(i = 0; i < 10; i++){
        codef[i][0] = 0;
        codei[i][0] = 0;
    }
    
    ktencho = 0;    /* $B6/@)E>D4!a%*%U(B */
    gatetimeQ = 8;  /* Q$B%3%^%s%I$N%2!<%H%?%$%`(B */
    gatetime = 1;  /* $BBh(B1$B%2!<%H%?%$%`(B */
    gatetime2 = 0; /* $BBh(B2$B%2!<%H%?%$%`(B */
    andflag = 0; /* & $B$,$"$C$?$+$I$&$+$N%U%i%0(B */
    koff = 0; /* $B%-!<%*%U!&%Y%m%7%F%#(B */
    keyproc_ptr = 0; /* $B%-!<%*%U;~$K=hM}$9$Y$-%$%Y%s%H$N8D?t(B */
    mmlproc_ptr = 0;
    keyproc2_ptr = 0; /* $B%2!<%H%?%$%`$,%^%$%J%9$@$C$?2;$N8D?t(B */
    check_cntchange(-1, 0); /* static $BJQ?t$N=i4|2=(B */
    check_bend(-1, 0); /* static $BJQ?t$N=i4|2=(B */
    
    code = getbyte(1);
    if(head == 0){ /* $B=>B0%Q!<%H$G$^$@%X%C%@$r=q$$$F$$$J$$(B */
	    if(code != -1 && code != '!'){
	    	/* $B%H%i%C%/$K:GDc(B1$BJ8;z$"$C$?;~E@$G%X%C%@$r=q$/(B */
	    	write_header();
	 		head=1;
	    }else return -1;
	}
    for(;;){
        code = getbyte(0);
        if(code == -1 || code == '!'){
		    getbyte(-1);
		    wsprintf(Msg, " %ld step\n", tstep);
		    strcat(text,Msg);
		    InvalidateRect(hWnd3,NULL,TRUE);
		    UpdateWindow(hWnd3);
            if(kloop_ptr != 0) err(1); /* $B%k!<%W$,=*N;$7$F$J$$(B */
		    write_keyproc2();
		    write_restofmmlproc();
            return 0; /* 1$B8D$N%H%i%C%/$NJQ49=*N;(B */
        }
        switch(code){
        case 'C':
            cur_ch = xget(&i) - 1; /* cur_ch $B$K$O%A%c%s%M%k(B-1$B$,F~$k(B */
		    check_cntchange(-1, 0);
    		check_bend(-1, 0);
            run = 0;
            break;
        case '_':
		    code__();
            break;
        case '*':
		    code___();
            break;
        case 'q':
		    getgatetime();
		    break;
        case 'Q':
		    getgatetimeQ();
		    break;
        case 'J':
		    getktencho();
		    break;
        case 'k':
		    getvelocity();
		    break;
        case 'w':
		    keyoffvelocity();
	    	break;
        case 's':
		    check_cntchange(-1, 0);
    		check_bend(-1, 0);
	    	break;
        case 'v':
		    getvolume();
		    break;
        case '@':
		    progchange();
		    break;
        case 'D':
		    detune();
		    break;
        case 'E':
		    code_E();
		    break;
        case 'F':
		    code_F();
		    break;
        case 'H':
		    bankselect();
		    break;
        case 'I':
		    code_I();
		    break;
        case 'N':
		    getnrpn();
		    break;
        case '~':
		    bendset();
		    break;
        case 'V':
		    kakko_def = xget(&i);
            break;
        case ')':
		    kakko1();
		    break;
        case '(':
		    kakko2();
		    break;
        case 'p':
		    getpanpot();
		    break;
        case 'R':
		    setRT();
		    break;
        case 'M':
		    code_M();
		    break;
        case 'a':
        case 'b':
        case 'c':
        case 'd':
        case 'e':
        case 'f':
        case 'g':
        case 'r':
        case '\\':
        case 'K':
            note(code);
            break;
        case 'l':
		    clength = timebase * 4 / length();
            break;
		case 'o':
		    oct();
		    break;
		case '>':
			if(x68k == 0) octave++;
			else octave--;
		    break;
		case '<':
		    if(x68k == 0) octave--;
		    else octave++;
		    break;
		case 'y':
		    code_y();
		    break;
		case 't':
		    tempo();
		    break;
		case 'B':
		    code_B();
		    break;
		case '=':
			setpsw();
			break;
		case 'P':
			put_cntchange(64, 127, 0);
			break;
		case 'X':
			put_cntchange(64, 0, 0);
			break;
		case 'A':
			ppres0();
			break;
		case 'G':
			cpres0();
			break;
		case 'S':
    		wsprintf(Msg," %ld /",tstep);
    		strcat(text,Msg);
			break;
		case '[':
		case ':':
		case ']':
		    wsprintf(Msg,
			     "WARNING.  Sorry, you cannot use loop in macro.\n");
		    strcat(text,Msg);
		    InvalidateRect(hWnd3,NULL,TRUE);
		    UpdateWindow(hWnd3);
		default:
		    wsprintf(Msg,
			     "WARNING.  Cannot interpret '%c' in line %d. Ignored.\n",
			     code, cur_line);
		    strcat(text,Msg);
		    InvalidateRect(hWnd3,NULL,TRUE);
		    UpdateWindow(hWnd3);
		    break;
        }
    }
}

/*
 * '='$B%9%$%C%A$N=hM}(B
 */
void setpsw(void)
{
	int i, num;
	num = xget(&i);
	if(i == -2){
		if(psw == 0) psw = 1;
		else psw = 0;
	}else{
		if(num != 0 && num != 1) err(35);
		else psw = num;
	}
	if(psw == 1){
		prog = -1;
	    write_keyproc2();
	    write_restofmmlproc();
		return;
	}else{
		if(prog != -1){ /* $BESCf$G%W%m%0%i%`%A%'%s%8$,#18D0J>e$"$C$?>l9g(B */
			put_cntchange0(0, bs1);
		    write_length(0, fp2);
			put_cntchange0(32, bs2);
		    write_length(0, fp2);
			/* if(run != 0xc){} $B%i%s%K%s%0%9%F!<%?%9$OL5;k$9$k(B */
		    putc2(0xc0 + cur_ch, fp2);
		    run= 0xc;
		    putc2(prog, fp2);
		    write_length(0, fp2);
		}
		/* put_cntchange(1, mod2, 0); */ /* $BITMW!)!)!)!)(B */
		put_cntchange(7, volume, 0);
		put_cntchange(10, panpot, 0);
		put_cntchange(11, expression, 0);
	}
}

/* mml$B$r(B1$B%H%i%C%/J,JQ49$7=*$($?D>8e$K!$(B
   $B$=$N;~$KH/2;Cf$N;D$j$N2;$r%-!<%*%U$9$k!%(B
   
   $B$J$<$3$&$$$&=hM}$,I,MW$+$H8@$&$H!$(B
   $B%2!<%H%?%$%`$,%^%$%J%9$N>l9g$K!$$d$`$rF@$:%-!<%*%U$5$l$J$$2;$,(B
   $B;D$k>l9g$,$"$k$+$i!%(B
   */
void write_keyproc2(void)
{
    int i;
    for(i = 0; i < keyproc2_ptr; i++){
	    noteoff(keyproc2[i], keyproc2_vel[i]);
		write_length(0, fp2);
    }
}

/* mml$B$r(B1$B%H%i%C%/J,JQ49$7=*$($?D>8e$K!$(B
   $B$=$N;~$KH/2;Cf$N;D$j$N2;$r%-!<%*%U$9$k!%(B
   
   $B%2!<%H%?%$%`$,%^%$%J%9$G!"$7$+$b$=$NCM$,5pBg$J;~$K(B
   keyproc2$B$G$O$J$/$F(Bmmlproc$B$KH/2;Cf$N2;$,;D$C$F$$$k>l9g$,$"$k!#(B
   */
void write_restofmmlproc(void)
{
    int i;
    for(i = 0; i < mmlproc_ptr; i++){
	    noteoff(mmlproc_p1[i], mmlproc_p2[i]);
		write_length(0, fp2);
    }
}

/* ) $B$N=hM}(B */
void kakko1(void)
{
	int num, i;
	num = xget(&i);
	if(i == -2) velocity += kakko_def;
	else velocity += num;
	if(velocity > 127) velocity = 127;
}

/* ( $B$N=hM}(B */
void kakko2(void)
{
	int num, i;
	num = xget(&i);
	if(i == -2) velocity -= kakko_def;
	else velocity -= num;
	if(velocity < 0) velocity = 0;
}

/* $B%F%s%]%^%C%W$X$N=q$-9~$_(B */
void write_tmap(void)
{
    int i, j;
    long j1;
    int i1, i2, i3;
    long i4;
    while(tmap_ptr > 0){
		j = 0;
		j1 = tmap_st[0];
		for(i = 0; i < tmap_ptr; i++){
		    if(tmap_st[i] < j1){
				j = i;
				j1 = tmap_st[i];
		    }
		}
		write_length(j1, fp3);
		if(tmap[j] == 0){
		    putc2(0xff, fp3);
		    putc2(0x51, fp3);
		    putc2(0x03, fp3);
		    i4 = 60000000 / tmap_p1[j];
		    i1 = (int)(i4/65536);
		    i2 = (int)((i4%65536)/256);
		    i3 = (int)((i4%65536)%256);
		    putc2(i1, fp3);
		    putc2(i2, fp3);
		    putc2(i3, fp3);
		}else{
		    putc2(0xff, fp3);
		    putc2(0x58, fp3);
		    putc2(4, fp3);
		    putc2(tmap_p1[j] / 100, fp3);
		    putc2(log2i(tmap_p1[j] % 100), fp3);
		    putc2(0x18, fp3);
		    putc2(8, fp3);
		}
		for(i = j; i < tmap_ptr - 1; i++){
		    tmap[i] = tmap[i + 1];
		    tmap_p1[i] = tmap_p1[i + 1];
		    tmap_st[i] = tmap_st[i + 1];
		}
		tmap_ptr--;
		for(i = 0; i < tmap_ptr; i++){
		    tmap_st[i] -= j1;
		}
    }
    write_length(0, fp3);
}

/*
  $B%F%s%]!&%$%Y%s%H$N=hM}!#(B
  $B%F%s%]!&%^%C%W$K=q$/!#(B
  $B:G=i$K%9%F%C%W%?%$%`$r=q$$$F$+$i%F%s%]%$%Y%s%H$r=q$/!#(B
  */
void tempo(void)
{
    int i, num;
    
    num = xget(&i);
    if(i != 0) err(10); /* $BCM$,JQ(B */
	tmap[tmap_ptr] = 0;
	tmap_p1[tmap_ptr] = num;
	tmap_st[tmap_ptr] = tstep;
	tmap_ptr++;
}

/*
  B$B$,Mh$?$H$-$N=hM}!#(B
  BS, BB, BR, BT $B$N%3%^%s%I$,$"$k!#(B
  */
void code_B(void)
{
	int code;
	code = getbyte(0);
	switch(code){
	case 'T':
		beat();
		break;
	case 'R':
		bendrange();
		break;
	case 'S':
		bendset();
		break;
	case 'B':
		bendbend();
		break;
	case 'W':
		bendword();
		break;
	default:
		err(13);
	}
}

/* log(2,i) */
int log2i(int i)
{
	int j= 1;
	for(;i!= 2;j++) i/= 2;
	return j;
}

/*
  BT$B%3%^%s%I$N=hM}(B
  $B%F%s%]!&%^%C%W$K=q$/!#(B
  $B:G=i$K%9%F%C%W%?%$%`$r=q$$$F$+$i%F%s%]%$%Y%s%H$r=q$/!#(B
  */
void beat(void)
{
	int i, num, num2;
	
	num = xget(&i);
	if(i != 0) err(8);
    if(getbyte(1) != ',') err(8); /* BT?$B$N8e$K%3%s%^$,$J$$(B */
    (void)getbyte(2);
	num2 = xget(&i);
	if(i != 0) err(8);
	
	tmap[tmap_ptr] = 1;
	tmap_p1[tmap_ptr] = num * 100 + num2;
	tmap_st[tmap_ptr] = tstep;
	tmap_ptr++;
}

/* poli press $B%3%^%s%I$N=hM}(B */
void ppres0(void)
{
	int i, num;
	if((ppres = soutai0(ppres)) == -1) err(39);
	
	if(psw == 0){
	    if(run != 0xa){
	        putc2(0xa0 + cur_ch, fp2);
	        run = 0xa;
	    }
	    putc2(0, fp2);
	    putc2(ppres, fp2);
	}
    write_length(0, fp2);
}

/* channel press $B%3%^%s%I$N=hM}(B */
void cpres0(void)
{
	int i, num;
	if((cpres = soutai0(cpres)) == -1) err(40);
	
	if(psw == 0){
	    if(run != 0xd){
	        putc2(0xd0 + cur_ch, fp2);
	        run = 0xd;
	    }
	    putc2(cpres, fp2);
	}
    write_length(0, fp2);
}

/* BR$B%3%^%s%I$N=hM}(B */
void bendrange(void)
{
	int i, num;
	num = xget(&i);
	if(i != 0) err(11);
	write_rpn (0,0,num);
}

/* BS$B%3%^%s%I$N=hM}(B */
void bendset(void)
{
	int i, num;
	if((bend1 = soutai0(bend1)) == -1) err(17);
    i = getbyte(1);
    if(i != ','){
    	bend2 = 0;
    }else{
		(void)getbyte(2);
		if((bend2 = soutai0(bend2)) == -1) err(17);
	}
    put_bend(bend1, bend2, 0);
}

/* BW$B%3%^%s%I$N=hM}(B */
void bendword(void)
{
	int i, rt;
	int num = xget(&i);
	if(i == 0){
		rt = num;
	}else if(i == -1 || i == 1){ /* $BAjBP;XDj$N>l9g(B */
		rt = bend1 * 128 + bend2 + num;
	}else{
		err(34);
	}
	if(rt < 0) rt = 0;
	else if(rt >= 128 * 128) rt = 128 * 128 - 1;
	
	bend1 = rt / 128;
	bend2 = rt % 128;
	
	put_bend(bend1, bend2, 0);
}

/* BB$B%3%^%s%I$N=hM}!#$3$N%3%^%s%I$O8E$$(B */
void bendbend(void)
{
	int i, num;
	num = xget(&i);
    if(i == -2) err(18);
    else{
    	bend1 += num;
    	if(bend1 < 0) bend1 = 0;
    	else if(bend1 > 127) bend1 = 127;
    }
    put_bend(bend1, bend2, 0);
}

/* y$B%3%^%s%I$N=hM}(B */
void code_y(void)
{
    int num, num2, i;
    num = xget(&i);
    if(i != 0) err(9); /* $BCM$,JQ(B */
    if(getbyte(0) != ',') err(9); /* y?$B$N8e$K%3%s%^$,$J$$(B */
    num2 = xget(&i);
    if(i != 0) err(9); /* $BCM$,JQ(B */
	put_cntchange(num, num2, 0);
}

/* N$B%3%^%s%I$N=hM}(B */
void getnrpn(void)
{
    int num, num2, num3, i;
    num = xget(&i);
    if(i != 0) err(32);
    if(getbyte(0) != ',') err(32);
    num2 = xget(&i);
    if(i != 0) err(32);
    if(getbyte(0) != ',') err(32);
    num3 = xget(&i);
    if(i != 0) err(32);
    if(getbyte(1) == ',') err(33);
	write_nrpn (num, num2, num3);
}

/* H$B%3%^%s%I$N=hM}(B */
void bankselect(void)
{
	int i;
    bs1 = xget(&i);
    if(i != 0) err(22); /* $BCM$,JQ(B */
    if(getbyte(1) != ',') err(22); /* y?$B$N8e$K%3%s%^$,$J$$(B */
    (void)getbyte(2);
    bs2 = xget(&i);
    if(i != 0) err(22); /* $BCM$,JQ(B */
    if(psw == 0){
		put_cntchange0(0, bs1);
	    write_length(0, fp2);
		put_cntchange0(32, bs2);
	    write_length(0, fp2);
	}
}

/* v$B%3%^%s%I$N=hM}(B */
void getvolume(void)
{
    int num, i;
    if((volume = soutai0(volume)) == -1) err(15);
	put_cntchange(7, volume, 0);
}

/* p$B%3%^%s%I$N=hM}(B */
void getpanpot(void)
{
    int num, i;
    if((panpot = soutai0(panpot)) == -1) err(25);
	put_cntchange(10, panpot, 0);
    if(getbyte(1) != ','){
    	rpan1 = 0;
    	return;
    }
    (void)getbyte(2);
	rpan1 = xget(&i);
    if(getbyte(1) == ','){
    	(void)getbyte(2);
	    rpan2 = xget(&i);
	}
}

/* @$B%3%^%s%I$N=hM}(B */
void progchange(void)
{
	static int base = 0;
    int num, i;
    num = xget(&i);
    if(i == -1 || i == 1){
    	base = num;
    	return;
    }else if(i == 0){
    	prog = num + base;
    }else err(23);
    if(psw == 0){
		if(run != 0xc){
		    putc2(0xc0 + cur_ch, fp2);
		    run= 0xc;
		}
	    putc2(prog, fp2);
	    write_length(0, fp2);
	}
}

/* E$B%3%^%s%I$N=hM}(B */
void getexpression(void)
{
    int num, i;
    if((expression = soutai0(expression)) == -1) err(16);
	put_cntchange(11, expression, 0);
}

/* q$B%3%^%s%I$N=hM}(B */
/*
  qn0,n1
    n0 == gatetime  $B%^%$%J%9$G$bNI$$!#(B
    n1 == gatetime2
  q-4 a4b4 $B$@$H!"(Bb$B$r%-!<%*%s8e(B4step$B7P$C$F$+$i(Ba$B$,%-!<%*%U$5$l$k!#(B
  $B:#$^$G$N$h$&$J(Bq$B$N%^%$%J%9%3%^%s%I$OL5$/$J$C$?!#(B
  $B:#$^$G$N(B q-4 $B$N$h$&$K$d$j$?$1$l$P!"(Bq100,4 $B$N$h$&$K$9$l$PNI$$!#$D$^$j!"(B
  $BBh(B1$B%Q%i%a!<%?$NCM$rHs>o$KBg$-$/$9$k!#(B
*/
void getgatetime(void)
{
    int num, i;
    num = xget(&i);
    if(i != -2) gatetime = num;
    if(getbyte(1) != ',') return; /* q?$B$N8e$K%3%s%^$,$J$$(B */
    (void)getbyte(2);
    num = xget(&i);
    if(i == 0) gatetime2 = num;
}

/* Q$B%3%^%s%I$N=hM}(B */
void getgatetimeQ(void)
{
    int num, i;
    num = xget(&i);
    if(num < 0 || num > 8) err(41);
    if(i != -2) gatetimeQ = num;
}

/* J$B%3%^%s%I$N=hM}(B */
void getktencho(void)
{
    int num, i;
    num = xget(&i);
    if(num < 0) err(42);
    if(i != -2) ktencho = num; /* num!=0$B$J$i$P6/@)E>D4$,M-8z$K$J$k(B */
}

/* k$B%3%^%s%I$N=hM}(B */
void getvelocity(void)
{
    int i;
    if((velocity = soutai0(velocity)) == -1) err(14);
    if(getbyte(1) != ','){
    	rvel1 = 0;
    	return;
    }
    (void)getbyte(2);
	rvel1 = xget(&i);
    if(getbyte(1) == ','){
    	(void)getbyte(2);
	    rvel2 = xget(&i);
	}
}

/*
  E$B$,Mh$?$H$-$N=hM}!#(B
  E, EX, EE $B$N%3%^%s%I$,$"$k!#(B
  */
void code_E(void)
{
	int code;
	code = getbyte(1);
	switch(code){
	case 'X':
	    (void)getbyte(2);
	    getexclusive(0);
	    break;
	case 'E':
	    (void)getbyte(2);
	    getexclusive(1);
	    break;
	default:
	    getexpression();
	}
}

/* _$B%3%^%s%I$N=hM}(B */
void code__(void)
{
	int code;
	int i, num;
	code = getbyte(1);
	if(code == '_'){
		(void)getbyte(2);
		code___();
	}else{
		num = xget(&i);
		if(i == -2) err(21);
		under = num;
	}
}

/* __$B%3%^%s%I!$$*$h$S!$(B*$B%3%^%s%I$N=hM}(B */
void code___(void)
{
	int i, num;
	num = xget(&i);
	if(i == -2) err(20);
	under += num;
}

/* EX$B%3%^%s%I$OB?J,$3$l$G(BOk$B$H;W$&!#(B */
/* $BNc$($P(B EXx41,x10,x42,x12,{x40,x00,x7f,x00},xf7 */
/* $B$H$9$l$P(B{}$BFb$N(BSUM$B$,(B}$BItJ,$K=q$+$l$k!J$O$:!K(B*/
/* EX,EE $B%3%^%s%I$N=hM}(B */
/* x == 0$B$J$i$P(BEX$B!%(B x == 1$B$J$i$P(BEE */
void getexclusive(int x)
{
	int i,e_sum,sum_flag;
	int exclusive[256];
	int ex_pnt = 0;
	sum_flag=0;
	for(;;){
		exclusive[ex_pnt] = xget(&i);
		if(i != 0) err(19);
		if (sum_flag==1) e_sum = ( e_sum + exclusive[ex_pnt]) & 0x7f;
		ex_pnt++;
		i = getbyte(1);
		if (i=='}'){
			if (sum_flag==1) {	/*$B!P$r8+$D$1$F$$$k>l9g$N$_=hM}$r$9$k(B*/
				exclusive[ex_pnt] = (0x80 - e_sum) & 0x7f;
				ex_pnt++;
				sum_flag=0;
			}
			(void)getbyte(2);
			i = getbyte(1);
		}
		if(i != ',') break;
		(void)getbyte(2);
		
		i = getbyte(1);
		if (i=='{') {
			sum_flag=1;
			e_sum=0;
			(void)getbyte(2);
		}
	}
	if(x == 0){
	    putc2(0xf0, fp2);
	    putc2(ex_pnt, fp2);
	}
	for(i = 0; i < ex_pnt; i++){
	    putc2(exclusive[i], fp2);
	}
	write_length(0, fp2);
}

/* D$B%3%^%s%I=hM}!J(BDetune$B!K(B= RPN#1:FineTune$B$r;HMQ(B */
/* Dn .... n$B$O(B -64$B!A(B63 */
void detune(void)
{
	int i, num;
	num = xget(&i);
	if(i == -2) err(31);
	num += 0x40;
	if(num < 0) num = 0;
	else if(num > 127) num = 127;
	write_rpn(0, 1, num);
}

/* RT$B%3%^%s%I$N=hM}(B */
void setRT(void)
{
	if(getbyte(0) != 'T') err(24);
	gatetime2 = -1;
	/* gatetime = 32767;*/ /* $B6lFy$N:v(B */
	/*gatetime2 = 1;*/
}

/* o$B%3%^%s%I(B($B%*%/%?!<%V(B)$B$N=hM}(B */
void oct(void)
{
    int num, i;
    num = xget(&i);
    if(i == -2) err(7);
    if(i != 0){
    	octave += num;
    }else{
		octave = num;
    }
}

void code_F(void)
{
    int code;
    code = getbyte(1);
    switch(code){
    case 'P':
    	(void)getbyte(2);
    	set_codef(1);
    	break;
    case 'V':
    	(void)getbyte(2);
    	set_codef(2);
    	break;
    case 'B':
    	(void)getbyte(2);
    	set_codef(3);
    	break;
    case 'E':
    	(void)getbyte(2);
    	set_codef(0);
    	break;
    default:
    	err(29);
    }
}

void set_codef(int y)
{
	int i, num, j;
    num = xget(&i);
    if(i != -2) codef[y][0] = num;
	if(num == 0){
		switch(y){
		case 0:
			put_cntchange(11, expression, 0);
			break;
		case 1:
			put_cntchange(10, panpot, 0);
			break;
		case 2:
			put_cntchange(7, volume, 0);
			break;
		case 3:
			put_bend(bend1, bend2, 0);
		}
		return;
	}
	i = getbyte(1);
	if(i != ',') return;
	(void)getbyte(2);
    num = xget(&i);
    if(i != -2) codef[y][1] = num * 128;
	i = getbyte(1);
	if(i != ',') return;
	(void)getbyte(2);
	for(j = 3; ; j++){
	    codef[y][j] = length();
		i = getbyte(1);
		if(i != ',') return;
		(void)getbyte(2);
		j++;
   		num = xget(&i);
    	if(i != -2) codef[y][j] = num * 128;
		i = getbyte(1);
		if(i != ',') break;
		(void)getbyte(2);
	}
	codef[y][2] = (j - 2) / 2;
}

void code_I(void)
{
    int code;
    code = getbyte(1);
    switch(code){
    case 'P':
    	(void)getbyte(2);
    	set_codei(3);
    	break;
    case 'V':
    	(void)getbyte(2);
    	set_codei(2);
    	break;
    case 'B':
    	(void)getbyte(2);
    	set_codei(1);
    	break;
    case 'E':
    	(void)getbyte(2);
    	set_codei(0);
    default:
    	err(30);
    }
}

void set_codei(int y)
{
	int i, num, j;
    num = xget(&i);
    if(i != -2) codei[y][0] = num * 128;
	if(num == 0){
		switch(y){
		case 0:
			put_cntchange(11, expression, 0);
			break;
		case 1:
			put_bend(bend1, bend2, 0);
			break;
		case 2:
			put_cntchange(7, volume, 0);
			break;
		case 3:
			put_cntchange(10, panpot, 0);
		}
		return;
	}
	i = getbyte(1);
	if(i != ',') return;
	(void)getbyte(2);
    num = xget(&i);
    if(i != -2) codei[y][1] = num;
	for(j = 2; j < 5; j++){
		i = getbyte(1);
		if(i != ',') return;
		(void)getbyte(2);
	    num = xget(&i);
	    if(i != -2) codei[y][j] = num;
	}
}

/* w$B%3%^%s%I(B($B%-!<%*%U%Y%m%7%F%#!<(B)$B$N=hM}(B */
void keyoffvelocity(void)
{
    int num, i;
    num = xget(&i);
    if(i == -2) err(7);
    if(i != 0){
    	koff += num;
    }else{
		koff = num;
    }
}

/* MON, MOF, M $B$N=hM}(B */
void code_M(void)
{
	int code;
	int i, num;
	code = getbyte(1);
	if(code == 'O'){
		(void)getbyte(2);
		code = getbyte(0);
		if(code == 'N'){
			num = xget(&i);
			if(i != 0) err(26);
			put_cntchange(1, num, 0);
    		mod1 = 0;
		}else if(code == 'F'){
			put_cntchange(1, 0, 0);
    		mod1 = 0;
		}else err(27);
	}else{
		mod1 = xget(&i);
		if(i != 0) err(28);
	    if(getbyte(0) != ',') err(28); /* y?$B$N8e$K%3%s%^$,$J$$(B */
	    mod2 = xget(&i);
	    if(i != 0) err(9); /* $BCM$,JQ(B */
	}
}

/* $B2;D9$N<hF@(B */
int length(void)
{
    int i, jq = 0, num = 0;
    i = getbyte(1);
    if((i < '0' || '9' < i) && i != '%') num = clength; /* l$B$NCM$r;H$&(B */
    i= getbyte(1);
    if(i == '%'){
        jq = 1;
        (void)getbyte(2);
        i= getbyte(1);
    }
    for(;;){
        if(i < '0' || '9' < i) break;
        num = num * 10 + i - '0';
        (void)getbyte(2);
        i= getbyte(1);
    }
    if(num != 0 && jq == 0) num = timebase * 4 / num;
    if(i == '.'){
        (void)getbyte(2);
        num = num * 3 / 2;
        i = getbyte(1);
        if(i == '.'){
            (void)getbyte(2);
            num = num + num / 6;
            i = getbyte(1);
            if(i == '.'){
                (void)getbyte(2);
                num = num + num / 14;
                i = getbyte(1);
            }
        }
    }
    if(i == '^'){
        (void)getbyte(2);
        num += length();
    }else if(i == '-'){
        (void)getbyte(2);
        num -= length();
    }
    if(num < 0)err(2);
    return num;
}

/*
  $B?tCM$N<hF@!%(B
	
  $BId9fIU$-$N?tCM$rLa$jCM$GJV$9!#(B
  $BId9f$O!"(B*i $B$K$bF~$l$k!#$D$^$j!"Id9f$,IU$$$F$$$k>l9g$K$O!"(B
  *i = -1 $B$^$?$O(B *i = 1 $B$H$J$k!#!JAjBP;XDj$KBP$9$kG[N8$G$9!K(B
  $B?tCM$,>JN,$5$l$F$$$FL5$$>l9g!"$D$^$j!"Id9f$b?tCM$b$J$$(B
  $B>l9g!"(B*i = -2 $B$H$J$k!#!J$3$N;~$NLa$jCM$O(B0$B!K(B
  $B$=$l0J30$G$O(B *i = 0 $B$H$J$k!#(B
  $BId9f$@$1$7$+$J$$>l9g!"$D$^$j!"(B-$B$*$h$S(B+$B$O!"(B-1$B$*$h$S(B+1$B$H$_$J$9!#(B
  x??$B$G(B16$B?J?t$N;XDj$,$G$-$k!%$?$@$7!$(Bx$B$N8e$OI,$:(B2$B%P%$%H$G;XDj$9$k!#(B
  x$B$N8e$N(B3$B%P%$%HL\0J9_$OL5;k$9$k!#Id9fIU$-$N(B16$B?J?t$b;XDj$G$-$k!#(B-x2f$B$J$I(B
*/
int xget(int *i)
{
    int num = 0;
    int j;
    int code = getbyte(1);
    *i = 0;
    if(code == '&'){
    	(void)getbyte(2);
    	return length();
    }
    if(code == '-'){
	*i = -1;
	(void)getbyte(2);
	code = getbyte(1);
    }else if(code == '+'){
	*i = 1;
	(void)getbyte(2);
	code = getbyte(1);
    }
    if(code == 'x'){
	(void)getbyte(2);
	for(j = 0; j < 2; j++){
	    code = getbyte(1);
	    if('0' <= code && code <= '9'){
		num = num * 16 + code - '0';
	    }else if('a' <= code && code <= 'f'){
		num = num * 16 + code - 'a' + 10;
	    }else if('A' <= code && code <= 'F'){
		num = num * 16 + code - 'A' + 10;
	    }else err(12);
	    (void)getbyte(2);
	}
	if(*i == 0) return num;
	else return *i * num;
    }
    if(code < '0' || '9' < code){
	if(*i == 0){ /* $BId9f$b?tCM$bL5$$>l9g(B */
	    *i = -2;
	    return 0;
	}else{ /* $BId9f$@$1$N>l9g(B */
	    return *i;
	}
    }
    for(;;){
	(void)getbyte(2);
	num = num * 10 + code - '0';
        code = getbyte(1);
    	if(code < '0' || '9' < code) break;
    }
    if(*i == 0) return num;
    else return *i * num;
}

#ifdef BCC
void write_length(long i, long fp) /* $B@dBPD9(B -> $B2DJQD9(B */
#else
void write_length(long i, file *fp) /* $B@dBPD9(B -> $B2DJQD9(B */
#endif
{
    int k;
    long j = 0x80;
	
    tstep += i;
    
    fgetpos2(fp, &lastlenpos);
    lastlen = i;
    
    if(i < j){
        putc2((char)i, fp);
    }else if(i / j < j){
        putc2((char)(i / j + j), fp);
        putc2((char)(i % j), fp);
    }else if(i / j / j < j){
        putc2((char)(i / j / j + j), fp);
        putc2((char)((i % (j * j)) / j + j), fp);
        putc2((char)((i % (j * j)) % j), fp);
    }else{
        putc2((char)(i / (j * j * j) + j), fp);
        putc2((char)((i % (j * j * j)) / (j * j) + j), fp);
        putc2((char)(((i % (j * j * j)) % (j * j)) / j + j), fp);
        putc2((char)(((i % (j * j * j)) % (j * j)) % j), fp);
    }
}

void err(int i)
{
    strcat(text, "ERROR!  ");
    switch(i){
    case 1:
        strcat(text, "loop end ']' is missing");
        break;
    case 2:
        strcat(text, "length parameter is negative");
        break;
    case 3:
        strcat(text, "loop start '[' is missing");
        break;
    case 4:
        strcat(text, "loop out ':' is wrong");
        break;
    case 5:
        strcat(text, "macro name '$?' is wrong");
        break;
    case 6:
        strcat(text, "macro call '$?' is wrong");
        break;
    case 7:
        strcat(text, "octave 'o?' is wrong");
        break;
    case 8:
        strcat(text, "beat 'BT?,?' is wrong");
        break;
    case 9:
        strcat(text, "control change 'y?,?' is wrong");
        break;
    case 10:
        strcat(text, "tempo 't?' is wrong");
        break;
    case 11:
        strcat(text, "bend range 'BR?' is wrong");
        break;
    case 12:
        strcat(text, "parameter 'x??' is wrong");
        break;
    case 13:
        strcat(text, "no such a command 'B?'");
        break;
    case 14:
        strcat(text, "velocity 'k?' is wrong");
        break;
    case 15:
        strcat(text, "volume 'v?' is wrong");
        break;
    case 16:
        strcat(text, "expression 'E?' is wrong");
        break;
    case 17:
        strcat(text, "bend set 'BS?' is wrong");
        break;
    case 18:
        strcat(text, "relative bend set 'BB?' is wrong");
        break;
    case 19:
        strcat(text, "exclusive 'EX?' is wrong");
        break;
    case 20:
        strcat(text, "relative transfer '__?' or '*?' is wrong");
        break;
    case 21:
        strcat(text, "transfer '_?' s wrong");
        break;
    case 22:
        strcat(text, "bank select 'H?,?' is wrong");
        break;
    case 23:
        strcat(text, "program change '@?' is wrong");
        break;
    case 24:
        strcat(text, "no such a command 'R?'");
        break;
    case 25:
        strcat(text, "panpot 'p?' is wrong");
        break;
    case 26:
        strcat(text, "modulation 'MON?' is wrong");
        break;
    case 27:
        strcat(text, "no such a command 'MO?'");
        break;
    case 28:
        strcat(text, "modulation 'M?' is wrong");
        break;
    case 29:
        strcat(text, "command 'F?' is wrong");
        break;
    case 30:
        strcat(text, "command 'I?' is wrong");
        break;
    case 31:
        strcat(text, "detune 'D?' is wrong");
        break;
    case 32:
        strcat(text, "NRPN 'N?' is wrong");
        break;
    case 33:
        strcat(text, "Too many parameters in NRPN 'Nn1,n2,n3'");
        break;
    case 34:
        strcat(text, "command 'BW?' is wrong");
        break;
    case 35:
        strcat(text, "command '=?' is wrong");
        break;
    case 36:
        strcat(text, "Master Part not found");
        break;
    case 37: /* $B6u$-(B */
        strcat(text, "loop end parameter ']?' is wrong.");
        break;
    case 38:
        strcat(text, "command 'K?' is wrong");
        break;
    case 39:
        strcat(text, "poli press 'A?' is wrong");
        break;
    case 40:
        strcat(text, "channel press 'G?' is wrong");
        break;
    case 41:
        strcat(text, "command 'Q?' is wrong");
        break;
    case 42:
        strcat(text, "command 'J?' is wrong");
        break;
    case 43:
        strcat(text, "macro '$?' is too long");
        break;
    case 44:
        strcat(text, "macro call '$?' is wrong (in macro)");
        break;
    case 45:
        strcat(text, "undefined macro call '$?' (in macro)");
        break;
    case 46:
        strcat(text, "the macro is already defined '$?'");
        break;
    case 47:
        strcat(text, "loop out ':' is wrong (in macro)");
        break;
    case 48:
        strcat(text, "loop end ']' is missing (in macro)");
        break;
    case 49:
        strcat(text, "loop start '[' is missing (in macro)");
        break;
    default:
        strcat(text, "something wrong");
        break;
    }
    wsprintf(Msg," in line %d.\n", cur_line);
    strcat(text,Msg);
    remove_file();
}

void write_header(void)
{
	wsprintf(Msg, "trk %d%c: ", tnum, talf + 'A');
	strcat(text,Msg);
    trknum++;
    smftrkheader(fp2, &trksize);
}

