
/*
 *      file    name            note.c
 *      (C) Copyright           Akito Monden    1996 - 1998
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "win.h"
#include "file.h"
#include "charproc.h"

/* mml2mid.c $B$+$i$N(B extern */
#ifdef BCC
extern long fp2;         /* $B=PNO%U%!%$%k(B(mid) */
extern void write_length(long i, long fp);
#else
extern file *fp2;         /* $B=PNO%U%!%$%k(B(mid) */
extern void write_length(long i, file *fp);
#endif
extern fpos_t lastlenpos; /* $B:G8e$K2;D9$r=q$-9~$s$@>l=j$X$N%]%$%s%?(B */
extern long lastlen;      /* $B:G8e$K=q$-9~$s$@2;D9$NCM(B */
extern int length(void);
extern int xget(int *i);
extern int trans;

/* mmlproc.c $B$+$i$N(B extern */
extern long tstep;		/* $B%H%i%C%/$N8=:_$N%9%F%C%W%?%$%`(B */
extern int cur_ch;             /* $B8=:_$N%A%c%s%M%k(B */
extern int run;                /* $B%i%s%K%s%0%9%F!<%?%9(B */
extern int octave;             /* $B%*%/%?!<%V(B */
extern int under;              /* $BE>D4(B */
extern int velocity, rvel1, rvel2;           /* $B%Y%m%7%F%#!<(B */
extern int ktencho; /* J$B%3%^%s%I$NCM(B */
extern int gatetimeQ; /* Q$B%3%^%s%I$NCM(B */
extern int gatetime; /* q$B%3%^%s%I$NCM(B */
extern int gatetime2;
extern int panpot, rpan1, rpan2;
extern int volume;
extern int bend1;
extern int bend2;
extern int mod1, mod2;
extern int keyproc2[256]; /* gatetime$B$,%^%$%J%9$J$N$G!"$^$@(Bkeyoff$B$7$F$J$$2;(B */
extern long keyproc2_st[256];   /* $B%2!<%H%?%$%`(B */
extern int keyproc2_vel[256];   /* $B%-!<%*%U!&%Y%m%7%F%#(B */
extern int keyproc2_ptr;  /* $B8D?t(B */
extern int koff;                /* $B%-!<%*%U!&%Y%m%7%F%#(B */
extern int codef[10][32];
extern int codei[10][5];
extern int expression;
extern int check_cntchange(int p1, int p2);
extern void put_cntchange(int p1, int p2, long l);
extern void put_cntchange0(int p1, int p2);
extern int check_bend(int p1, int p2);
extern void put_bend(int p1, int p2, long l);
extern void put_bend0(int p1, int p2);
extern void err(int i);
extern int psw;

int andflag;     /* &$B$,$"$C$?$+$I$&$+$N%U%i%0(B */
/* $B%-!<%*%U;~$K=hM}$9$Y$-%-!<%*%U(B */
int keyproc_p1[256];  /* $B2;3,(B */
int keyproc_p2[256];  /* $B%-!<%*%U%Y%m%7%F%#(B */
int keyproc_ptr;   /* $B8D?t(B */

int mmlproc[1024];  /* $BL$=hM}%$%Y%s%H(B ($B<oN`(B) */
                   /* 1 ... $B2;Id$N%-!<%*%U(B */
                   /* 2 ... control change */
                   /* 3 ... bend           */
int mmlproc_p1[1024];  /* $BL$=hM}%$%Y%s%H$NBh(B1$B%Q%i%a!<%?(B */
int mmlproc_p2[1024];  /* $BL$=hM}%$%Y%s%H$NBh(B2$B%Q%i%a!<%?(B */
long mmlproc_st[1024]; /* $BL$=hM}%$%Y%s%H$N%9%F%C%W%?%$%`(B */
int mmlproc_ptr; /* $B8D?t(B */

void note(int code); /* $B2;Id!"5YId=hM}(B*/
void setcode_F(int localgatetime, int preandflag, int x);
void setcode_I(int localgatetime, int preandflag, int x);
void set_keyproc(int p1, int p2);
void set_keyproc2(int onkai, int st, int vel);
void set_mmlproc(int kind, int p1, int p2, int st);
void set_rpan(void);
void set_rvel(void);
void set_keyoff(void);
void write_step0_change(void);
void write_mmlproc(int i);
void noteoff(int onkai, int localkoff);
int get_hanon(void);
int soutai0(int base);
int soutai(int base);
void putnote(int p1, int p2);
void putnoteoff(int p1, int p2);

/* $BAjBP;XDj$O2DG=$@$,!"CM$N>JN,$OIT2DG=$JCM$r<hF@$9$k$?$a$N4X?t(B */
/* $BCM$,>JN,$5$l$F$$$?>l9g$O!"(B-1 $B$rJV$9(B */
int soutai0(int base)
{
	int rt;
	int i;
	int num = xget(&i);
	if(i == 0){
		rt = num;
	}else if(i == -1 || i == 1){ /* $BAjBP;XDj$N>l9g(B */
		rt = base + num;
		if(rt > 127) rt = 127;
		if(rt < 0) rt = 0;
	}else{
		rt = -1; /*$BCM$,>JN,$5$l$?>l9g(B */
	}
	return rt;
}

/* $BAjBP;XDj$,2DG=$G!"$+$D!"CM$N>JN,$b2DG=$JCM$r<hF@$9$k$?$a$N4X?t(B */
int soutai(int base)
{
	int rt = soutai0(base);
	if(rt == -1) rt = base;
	return rt;
}

/* $B%-!<%*%s!J$^$?$O(Bvelocity0$B$G%-!<%*%U!K$9$k$@$1$N4X?t(B */
void putnote(int p1, int p2)
{
	if(run != 9){
	    putc2(0x90 + cur_ch, fp2);
	    run = 9;
	}
	putc2(p1, fp2);
    putc2(p2, fp2);
}

/* 80h$B$G%-!<%*%U$9$k$@$1$N4X?t(B */
void putnoteoff(int p1, int p2)
{
	if(run != 8){
	    putc2(0x80 + cur_ch, fp2);
	    run = 8;
	}
	putc2(p1, fp2);
	putc2(p2, fp2);
}

/*

  $B=hM}$N6hJL!%(B

  $BH/2;A0$K$7$J$$$H$$$1$J$$=hM}!%(B
    [$BNc(B] F$B%3%^%s%I$G;XDj$5$l$k:G=i$N(Bexpression$B$NCM!%(B
  $BH/2;Cf$K$7$J$$$H$$$1$J$$=hM}!%(B
    [$BNc(B] $B!&D>A0$KH/2;$5$l$?2;$N%2!<%H%?%$%`$,%^%$%J%9$@$C$?>l9g$K(B
           $B>C2;$7$J$$$H$$$1$J$$!%(B
	 $B!&(BM$B%3%^%s%I(B
	 $B!&(BF$B%3%^%s%I(B
    $B%9%F%C%W%?%$%`$r9M$($kI,MW$,$"$k!%(B
  $BH/2;8e$K$7$J$$$H$$$1$J$$=hM}(B
    [$BNc(B] $B!&(BM$B%3%^%s%I$r;H$C$F$?>l9g!$(Bmodulation$B$NCM$N=i4|2=!%(B
         $B!&(BF$B%3%^%s%I$r;H$C$F$?>l9g!$(Bexpression$B$NCM$N=i4|2=!%(B
         $B$H;W$C$?$1$I!"D>8e$O%^%:%$!&!&!&(B

  $B9M$($k$Y$->u67!'(B

$B%2!<%H%?%$%`$,%^%$%J%9!"$*$h$S!"!u$N=hM}$N7s$M9g$$!#(B
$BNc!'(Bq-4 e4&a2c4
    c$B$,%-!<%*%s$7$F$+$i!"(Be$B$H(Ba$B$,%-!<%*%U$5$l$J$$$H$$$1$J$$!#(B

$B%2!<%H%?%$%`$,%^%$%J%9$G!"$+$D!"(B&$B$,8e$m$K$"$k>l9g!#(B
  $B%2!<%H%?%$%`$,%^%$%J%9!"$NJ}$G%-!<%*%U0LCV$r5-21$9$k!#(B
$BD>A0$K(B&$B$,L5$$2;Id$,Mh$?$H$-$K$J$C$F=i$a$F!":#$^$G(B
$B%2!<%H%?%$%`%^%$%J%9$G5-21$7$?2;$N=hM}$r$9$k!#(B

$B!u$H%$%Y%s%H$N7s$M9g$$!#(B
$BNc!'(BM48,127 c2&e4
MON127$B$O(B1$BEY$7$+=q$+$l$J$$!#(B
$B$7$+$b!"%-!<%*%U8e$K!"(BMON0 $B$,I,MW!#(B

$B5YId$H!"!u!"%2!<%H%?%$%`$H$N7s$M9g$$!#(B
$BNc$($P!"(B
a2.^4. $B$r!"(B a2.&r4. $B$HA4$/F1$8$K$9$k!#$D$^$j!"%2!<%H%?%$%`=hM}$O!"(B
&r4.$B$N$H$3$m$G$b9T$o$l$k!#(B
$B$3$N$"$?$j$N$3$H$r9M$($k$H!"2;Id$H5YId$N=hM}$O;w$F$k!#(B
$BNc#2!'(B
q-4 c2r4 $B$@$H!"$I$&=hM}$9$k$+!#(B

$B%2!<%H%?%$%`$,%^%$%J%9$N;~!#(B
$BD>A0$N2;$,%2!<%H%?%$%`%^%$%J%9$GH/2;$5$l$F$$$F!"8=:_H/2;$7$?$$2;$N2;D9$,(B
$B$b$N$9$4$/C;$$>l9g!#(B


qn0,n1
    n0 == gatetime  $B%^%$%J%9$G$bNI$$!#(B
    n1 == gatetime2
$B:#$^$G$N(Bq$B$N%^%$%J%9%3%^%s%I$OL5$/$J$C$?!#(B
$BBe$o$j$K!"(Bq100,4 $B$N$h$&$K$9$l$PNI$$!#$D$^$j!"Bh0l%Q%i%a!<%?$NCM$rBg$-$/$9$k!#(B

$B$3$N>pJs$O8E$$!%(B
$B"-(B
$B!&2;Id!"5YId(B (a-g,r)n0,n1,n2,n3[&]
       n0 == note length
       n1 == local velocity
       n2 == local gatetime
       n3 == local keyoff velocity (use 80h event)
  - preandflag = andflag
  - andflag $B=hM}(B
  - localgatetime $B$,L5$1$l$P!"(B localgatetime = gatetime;
  - keyoff velocity $B$,L5$1$l$P!"(B localkoff = koff;
  - localgatetime < 0 $B$J$i$P!"(Bgtflag = 1; else gtflag = 0;
  - $B$=$N2;3,$r%-!<%*%s$9$k!#5YId$J$i$P$7$J$$!#(B
  - $B$I$N0LCV$^$G%$%Y%s%H$r=hM}$9$k$+$r8!F$$9$k!#(B
    andflag == 0 && gtflag == 0$B$J$i$P!"(B
      $B2;D9(B - localgatetime < gatetime2 $B$J$i$P!"(Blocalgatetime = $B2;D9(B
    else
      localgatetime = $B2;D9(B
  - mmlproc$B$N=hM}(B
    * $B!c%$%Y%s%H$N=hM}!d(B
      $B%$%Y%s%H$r(Bmmlproc$B$K=gHV$K=q$$$F$$$/!#(B
      $B$3$N;~$K!"(Bpreandflag != 0 $B$J$i$P!"$D$^$j!"D>A0$K(B&$B$,$"$C$?>l9g$O!"(B
      $BESCf$+$i%$%Y%s%H$r=hM}$9$k!#$=$l$O!"%$%Y%s%H$r=q$/<jB3$-$K$*$$$F(B
      $B$&$^$/9MN8$9$k!#Nc$($P!"(BM$B%3%^%s%I$G$O!"ESCf$+$i$N=hM}$G$O%b%8%e%l!<%7%g%s(B
      $B$r=q$-9~$^$J$$!#(B
      $B$I$3$^$G%$%Y%s%H$r=q$/$+$O!"(Blocalgatetime $B$^$G=q$/!#(B
      $BI,MW$K1~$8$F!"(Bkeyproc$B$K$b=q$/!#(B
    * $B%$%Y%s%H$N=hM}$,9T$o$l$J$$>l9g$b$"$k!#$=$l$O!"(B
      $B5YId$G!"$7$+$b!"(Bpreandflag == 0 $B$N>l9g!#(B
    * $B!c%^%$%J%9%2!<%H%?%$%`$N=hM}!d(B
      preandflag == 0 $B$J$i$P!"$D$^$j!"D>A0$K(B&$B$,L5$$>l9g$O!"(B
      keyproc2 $B$+$i(B mmlproc $B$K=q$/!#(B
      $B$?$@$7!"(Bkeyproc2_st > localgatetime $B$N>l9g$O!"(B
      keyproc2_st = localgatetime$B$H$9$k!#(B
      $B:G8e$K!"(Bkeyproc2_ptr = 0 $B$K$9$k!#(B
    * $B5YId$N>l9g$b!"%^%$%J%9%2!<%H%?%$%`=hM}$r9T$&!#(B
  - mmlproc$B$r<B:]$K=q$-9~$`=hM}$r$9$k!#(B
    $B7k2LE*$K!"(Bmmlproc_ptr = 0 $B$H$J$k!#(B
  - keyoff$B=hM}$r$9$k!#(B
    $B!J2;Id(B || $B5YId(B && keyproc_ptr != 0 $B$N>l9g$@$1!K(B
    localkoff$B$r9M$($F%-!<%*%U$9$k!#(B
    * gtflag == 1 $B$N>l9g$O!"%-!<%*%U$7$J$$!#(B
      $B!&:G8e$N%9%F%C%W%?%$%`(B = 0 $B$r=q$/!#(B
      $B!&(Bkeyproc2$B$KJ]B8$9$k!#!J2;Id$N>l9g$@$1!K(B
    * else andflag == 1 $B$N>l9g$O!"%-!<%*%U$7$J$$!#(B
      $B!&:G8e$N%9%F%C%W%?%$%`(B = 0 $B$r=q$/!#(B
      $B!&(Bkeyproc$B$KJ]B8$9$k!#!J2;Id$N>l9g$@$1!K(B
    * else
      $B!&(Bkeyproc$B$K4^$^$l$k2;$r%-!<%*%U$9$k!#(B
      $B!&<+J,<+?H$r%-!<%*%U$9$k!#!J2;Id$N>l9g$@$1!K(B
      $B!&:G8e$N%9%F%C%W%?%$%`$r$A$c$s$H9M$($F=q$/!#(B
*/

/* $B2;Id!"5YId!$(B\$B$N=hM}(B */
void note(int code)
{
    int num;
    int i;
    long j;
    int onkai;
    int hanon;
    int oncho; /* $B2;D9(B */
    int gt;
    int oto = 0;
    int oto2 = 0; /* \$B$N%U%i%0(B */
    long p = 0;
    
    int gtflag = 0;
    int preandflag = andflag;
    int localvelocity; /* local$B$J(Bvelocity */
    int localgatetime; /* local$B$J(Bgatetime */
    int gatetimetmp;   /* gatetimeQ$B$r9MN8$7$?(Bgatetime */
    int localkoff;     /* local$B$J%-!<%*%U%Y%m%7%F%#(B */
    
    long minst;
    int minst_ptr;
    
    /* mmlproc_ptr = 0; */ /* $B$3$3$G(B 0 $B$K$9$k$H$d$P$$(B */
aho:
    switch(code){
    case 'a':
    	onkai = 9;
    	break;
    case 'b':
    	onkai = 11;
    	break;
    case 'c':
    	onkai = 0;
    	break;
    case 'd':
    	onkai = 2;
    	break;
    case 'e':
    	onkai = 4;
    	break;
    case 'f':
    	onkai = 5;
    	break;
    case 'g':
    	onkai = 7;
    	break;
    case 'r':
    	oto = -1;
    	break;
    case '\\':
    	oto = -1;
    	oto2 = 1;
    	break;
    case 'K':
    	oto = -2;
    	code = getbyte(0);
    	goto aho;
    default:
    	err(38);
    }
    
    if(oto != -1 && oto != -2 && psw == 0){
		if(rpan1 != 0) set_rpan(); /* running panpot $B$N=hM}(B */
		if(rvel1 != 0) set_rvel(); /* running velocity $B$N=hM}(B */
    }
	
    hanon = get_hanon();
    onkai += 12 + hanon + octave * 12 + under;
    if(gatetime2 != -1) onkai += trans;
    if(ktencho != 0) onkai = ktencho; /* $B6/@)E>D4=hM}(B */
    oncho = length();
    
   	gatetimetmp = gatetime + oncho * (8 - gatetimeQ) / 8;
    
    if(getbyte(1) == ','){
    	(void)getbyte(2);
    	localvelocity = soutai(velocity);
    	if(getbyte(1) == ','){
		    (void)getbyte(2);
		    num = xget(&i);
		    if(i != -2) localgatetime = num;
		    else{
		    	localgatetime = gatetimetmp; /* $BCM$N>JN,(B */
		    }
		    if(getbyte(1) == ','){
				(void)getbyte(2);
				localkoff = soutai(koff);
		    }else{
				localkoff = koff;
		    }
		}else{
		    localgatetime = gatetimetmp;
		    localkoff = koff;
		}
    }else{
		localvelocity = velocity;
		localgatetime = gatetimetmp;
		localkoff = koff;
    }
    if(oto == -1 && oncho == 0) return; /* $B2;D9%<%m$N5YId$OL5;k$9$k(B */
	
    if(oto == -2){ /* K$B%3%^%s%I$N>l9g(B */
    	if(psw != 0) return;
    	putnote(onkai, localvelocity);
		write_length(0, fp2);
		return;
    }
    
    if(getbyte(1) == '&'){
    	(void)getbyte(2);
    	andflag = 1;
    }else if(oto2 == 1) andflag = 1;
    else andflag = 0;
    
    if(psw != 0) return;
    
    /* gatetime2 == -1 $B$H$J$k$N$O(B RT $B$N;~(B */
    if(oto == -1 || gatetime2 == -1) localgatetime = 0;
    gt = localgatetime;
    if(gt < 0) gtflag = 1; /* $B%2!<%H%?%$%`$,Ii$J$i(B1$B$K$J$k%U%i%0(B */
    else gtflag = 0;
	
    /* localgatetime $B$O!"$I$N(Bsteptime$B$^$G%$%Y%s%H$r=hM}$9$k$+(B */
    if(gatetime2 != -1){
	    if(andflag == 0 && gtflag == 0){
			if(oncho - localgatetime < gatetime2){
			    if(oncho < gatetime2) localgatetime = oncho;
			    else localgatetime = gatetime2;
			}else{
			    localgatetime = oncho - localgatetime;
			}
	    }else{
			localgatetime = oncho;
		}
    }
    
    /* mmlproc $B$N=hM}$,$3$3$KF~$k!%(B*/
    /* mmlproc $B$N=hM}$H$$$&$N$O!"%-!<%*%sCf$K$d$i$J$$$H$$$1$J$$=hM}$N;v(B */
    /* $B%9%F%C%W(B0$B!A(Blocalgatetime $B$^$G=hM}$9$k(B */
    /* $BH/2;A0$K@h9T$7$F=hM}$7$J$$$H$$$1$J$$>l9g$b$"$k$N$@!*(B */
    /* $BH/2;A0$K=hM}$9$k$N$O!"%-!<%*%s!?%*%U0J30$G%9%F%C%W(B0$B$N%$%Y%s%H(B */
    if(oto == 0 && preandflag == 0 && mod1 != 0){
	    set_mmlproc(2, 1, 0, 0); /* $BF~$l$F$*$/I,MW$"$j(B */
    	if(mod1 < localgatetime){
    		set_mmlproc(2, 1, mod2, mod1);
    	}
	}
    for(i = 0; i < 10; i++){
    	if(oto == 0 || preandflag == 1){
		    if(codef[i][0] != 0){
		    	setcode_F(localgatetime, preandflag, i);
		    }
		    if(codei[i][0] != 0){
		    	setcode_I(localgatetime, preandflag, i);
		    }
		}
	}
    if(preandflag == 0){
		set_keyoff();
    }
	
	/* $BH/2;A0$K=hM}$7$J$$$H$$$1$J$$%$%Y%s%H$r=q$-9~$`(B */
    /* $B6qBNE*$K$O!"%9%F%C%W%?%$%`(B0$B$N%-!<%*%s!?%*%U0J30$N%$%Y%s%H$9$Y$F(B */
    write_step0_change();
	
    /* $B$h$&$d$/H/2;$9$k(B */
    if(oto != -1){
    	putnote(onkai, localvelocity);
    	p = 0; /* $B2;Id$H5YId$rF1Ey$K07$&$?$a$K(B p $B$rF3F~$7$?!#6lFy$N:v(B */
    }else{ /* $B5YId$N>l9g(B */
		tstep -= lastlen;
		fsetpos2(fp2, &lastlenpos); /* $B$o$6$o$6La$9!#6lFy$N:v(B */
    	p = lastlen; /* p$B$H$$$&$N$O!":G=i$N(B1$B2s$@$18z$$$F$/$k%9%F%C%W%?%$%`(B */
    }
    if(oncho == 0){ /* $B2;D9%<%m$N2;Id$N>l9g(B */
		andflag = 1; /* $B8e$m$K(B&$B$,$"$k$N$HF1$807$$$K$9$k(B */
		write_length(0, fp2);
		set_keyproc(onkai, localkoff); /* $B8e$G%-!<%*%U$,I,MW$H$$$&$3$H(B */
		return;
    }
    
    /* $B0J2<$O!"(Bmmlproc $B$r=q$-9~$`=hM}(B */
    j = localgatetime; /* j$B$O!"%-!<%*%U$^$G$N%9%F%C%W%?%$%`(B */
    while(mmlproc_ptr > 0){
		minst = mmlproc_st[0];
		minst_ptr = 0;
		for(i = 0; i < mmlproc_ptr; i++){
		    if(mmlproc_st[i] < minst){
			minst= mmlproc_st[i];
			minst_ptr = i;
		    }
		}
		if(minst > j) break;
		write_length(minst + p, fp2);
		p = 0;
		write_mmlproc(minst_ptr);
		for(i = minst_ptr; i < mmlproc_ptr - 1; i++){
		    mmlproc[i] = mmlproc[i + 1];
		    mmlproc_p1[i] = mmlproc_p1[i + 1];
		    mmlproc_p2[i] = mmlproc_p2[i + 1];
		    mmlproc_st[i] = mmlproc_st[i + 1];
		}
		mmlproc_ptr--;
		for(i = 0; i < mmlproc_ptr; i++){
		    mmlproc_st[i] -= minst;
		}
		j -= minst;
	}
	
    /* $B%-!<%*%U=hM}(B */
    if(oto != -1 || keyproc_ptr != 0){
		if(gtflag == 1){
		    write_length(p + j + oncho - localgatetime, fp2);
		    if(oto != -1) set_keyproc2(onkai, -gt, localkoff);
		}else if(andflag == 1){
		    write_length(p + j + oncho - localgatetime, fp2);
		    if(oto != -1) set_keyproc(onkai, localkoff);
		}else{
		    write_length(p + j, fp2);
		    /* p = 0; $B"+F~$l$J$/$F$bNI$$(B */
		    if(oto != -1){ /* $B5YId$N;~(B */
				noteoff(onkai, localkoff);
				write_length(0, fp2);
		    }
		    for(i = 0; i < keyproc_ptr; i++){
			    noteoff(keyproc_p1[i], keyproc_p2[i]);
				write_length(0, fp2);
		    }
		    keyproc_ptr = 0;
		    tstep -= lastlen;
		    fsetpos2(fp2, &lastlenpos);
		    write_length(lastlen + oncho - localgatetime, fp2);
		}
    }else{ /* $BC1$J$k5YId(B */
		write_length(p + j + oncho - localgatetime, fp2);
	    /* p = 0; $B"+F~$l$J$/$F$bNI$$(B */
    }
    for(i = 0; i < mmlproc_ptr; i++){
		mmlproc_st[i] -= p + j + oncho - localgatetime;
    }
}

void set_keyproc(int p1, int p2)
{
    keyproc_p1[keyproc_ptr] = p1;
    keyproc_p2[keyproc_ptr] = p2;
    keyproc_ptr++;
}

void set_keyproc2(int onkai, int st, int vel)
{
    keyproc2[keyproc2_ptr] = onkai;
    keyproc2_st[keyproc2_ptr] = st;
    keyproc2_vel[keyproc2_ptr] = vel;
    keyproc2_ptr++;
}

void set_mmlproc(int kind, int p1, int p2, int st)
{
    mmlproc[mmlproc_ptr] = kind;
    mmlproc_p1[mmlproc_ptr] = p1;
    mmlproc_p2[mmlproc_ptr] = p2;
    mmlproc_st[mmlproc_ptr] = st;
    mmlproc_ptr++;
}

void setcode_F(int localgatetime, int preandflag, int x)
{
    static int num[10];
    static int step[10];
    int step2;
    int step3;
    int i, y, z;
    int k;
    long k11, k12, k13;
    
	if(x == 0){
		y = 11;
		z = expression * 128;
	}else if(x == 1){
		y = 10;
		z = panpot * 128;
	}else if(x == 2){
		y = 7;
		z = volume * 128;
	}else if(x == 3){
		y = -1;
		z = bend1 * 128 + bend2;
	}
	
    if(preandflag == 0){
		num[x] = z + codef[x][1];
		if(num[x] < 0) num[x] = 0;
		else if(num[x] > 16383) num[x] = 16383; /* 16383 = 128*128-1 */
		step[x] = 0;
		if(y == -1) set_mmlproc(3, num[x] % 128, num[x] / 128, 0);
		else set_mmlproc(2, y, num[x] / 128, 0);
    }
    step3 = step[x];
    
    for(;;){
		i = num[x];
		
		k12 = k13 = 0;
		for(k = 0; k < codef[x][2]; k++){
			k11 = k12;
			k12 = k11 + codef[x][k * 2 + 3];
			if(k != 0) k13 += codef[x][k * 2 + 2];
			if(k != codef[x][2] - 1){
				if(k11 <= step[x] && step[x] < k12){
					if(codef[x][k * 2 + 3] == 0) continue;
					num[x] = z + codef[x][1] + k13 +
							(step[x] - k11) * codef[x][k * 2 + 4] /
							codef[x][k * 2 + 3];
					break;
				}
			}else{
				if(k11 <= step[x] && step[x] <= k12){ /*$B>e$N(Bif$B$H(B<=$B$,0c$&(B*/
					if(codef[x][k * 2 + 3] == 0) continue;
					num[x] = z + codef[x][1] + k13 +
							(step[x] - k11) * codef[x][k * 2 + 4] /
							codef[x][k * 2 + 3];
					break;
				}else{
					return;
				}
			}
		}
		
		/*
		if(step[x] < codef[x][3]){
		    num[x] = z + codef[x][1] + step[x] * codef[x][4] / codef[x][3];
		}else if(codef[x][3] <= step[x] && step[x] < codef[x][3] + codef[x][5]){	
		    num[x] = z + codef[x][1] + codef[x][4] +
		    (step[x] - codef[x][3]) * codef[x][6] / codef[x][5];
		}else if(codef[x][3] + codef[x][5] <= step[x] &&
			 step[x] <= codef[x][3] + codef[x][5] + codef[x][7]){
		    num[x] = z + codef[x][1] + codef[x][4] + codef[x][6] +
		    (step[x] - codef[x][3] - codef[x][5]) * codef[x][8] / codef[x][7];
		}else break;
		*/
		
		step[x] += codef[x][0];
		if(step[x] - step3 >= localgatetime){
		    step[x] -= codef[x][0];
		    break;
		}
		if(num[x] < 0) num[x] = 0;
		else if(num[x] > 16383) num[x] = 16383;
		if(y != -1){
			if(num[x] / 128 == i / 128) continue;
		}else{
			if(num[x] == i) continue;
		}
		if(y == -1) set_mmlproc(3, num[x]%128, num[x]/128, step[x] - step3);
		else set_mmlproc(2, y, num[x] / 128, step[x] - step3);
    }
}

/* I $B%3%^%s%I$rH/8z$9$k$?$a$K(Bmmlproc$B$K=q$-9~$`(B */
void setcode_I(int localgatetime, int preandflag, int x)
{
    static long num[10];
    static int step[10];
    static int dir[10];
    int step3;
    int y;
    long z;
    int i;
    long j, k1, k2, k11, k12, k13, k14;
    
	if(x == 0){
		y = 11;
		z = expression * 128;
	}else if(x == 2){
		y = 7;
		z = volume * 128;
	}else if(x == 3){
		y = 10;
		z = panpot * 128;
	}else if(x == 1){
		y = -1;
		z = bend1 * 128 + bend2;
	}
	
    if(preandflag == 0){
    	num[x] = z;
		step[x] = 0;
		dir[x] = 1;
		if(y == -1) set_mmlproc(3, (int)(num[x]%128), (int)(num[x]/128), 0);
		else set_mmlproc(2, y, (int)(num[x]/128), 0);
    }
    step3 = step[x];
    
    j = (long)codei[x][1] * codei[x][0] * 4 / codei[x][3];
	k1 = z + abs(codei[x][0]);
	k2 = z - abs(codei[x][0]);
	/*
	printf("z = %ld, ", z);
	printf("codei[%d][0] = %ld, ", x, (long)codei[x][0]);
	printf("k1 = %ld, k2 = %ld\n", k1, k2);
    */
    for(;;){
		i = num[x];
		if(step[x] >= codei[x][2]){
			num[x] += j * dir[x];
			if(step[x] - codei[x][2] < codei[x][4]){
				/* codei[x][4] == 0 $B$N;~$b$&$^$/F0:n$9$k(B */
				k11 = (long)(k1 - 8192) * (step[x] - codei[x][2]) / codei[x][4] +
					8192;
				k12 = 8192 -
					(long)(8192 - k2) * (step[x] - codei[x][2]) / codei[x][4];
				k13 = 8192L * (step[x] - codei[x][2]) / codei[x][4] +
					8192;
				k14 = 8192 -
					8192L * (step[x] - codei[x][2]) / codei[x][4];
				if(num[x] > k11){num[x] = k11; dir[x] = - dir[x];}
				else if(num[x] < k12){num[x] = k12; dir[x] = -dir[x];}
				else if(num[x] > k13){num[x] = k13; dir[x] = - dir[x];}
				else if(num[x] < k14){num[x] = k14; dir[x] = -dir[x];}
			}else{
				if(num[x] > k1){num[x] = k1; dir[x] = - dir[x];}
				else if(num[x] < k2){num[x] = k2; dir[x] = -dir[x];}
				else if(num[x] > 16383L){num[x] = 16383; dir[x] = - dir[x];}
				else if(num[x] < 0){num[x] = 0; dir[x] = -dir[x];}
			}
			/*
			if(num[x] > 16383L) num[x] = 16383;
			else if(num[x] < 0) num[x] = 0;
			*/
		}
		step[x] += codei[x][1];
		if(step[x] - step3 >= localgatetime){
		    step[x] -= codei[x][1];
		    break;
		}
		if(y != -1){
			if(num[x]/128 == i/128) continue; /* $B=q$-9~$`CM$,JQ$o$C$F$J$$>l9g(B*/
		}else{
			if(num[x] == i) continue; /* $B=q$-9~$`CM$,JQ$o$C$F$J$$>l9g(B */
		}
		if(y == -1) set_mmlproc(3, (int)num[x] % 128, (int)(num[x] / 128), step[x] - step3);
		else set_mmlproc(2, y, (int)(num[x] / 128), step[x] - step3);
    }
}

void set_rpan(void)
{	    
    panpot += rpan1;
    if(panpot < 0){
		panpot -= 2*rpan1;
		if(rpan2 == 0) rpan1= 0;
		else rpan1 = -rpan1;
    }else if(panpot > 127){
		panpot -= 2*rpan1;
		if(rpan2 == 0) rpan1= 0;
		else rpan1 = -rpan1;
    }
    put_cntchange(10, panpot, 0);
}

void set_rvel(void)
{
    velocity += rvel1;
    if(velocity < 0){
	velocity -= 2*rvel1;
	if(rvel2 == 0) rvel1= 0;
	else rvel1 = -rvel1;
    }else if(velocity > 127){
	velocity -= 2*rvel1;
	if(rvel2 == 0) rvel1= 0;
	else rvel1 = -rvel1;
    }
}

void set_keyoff(void)
{
    int i;
    for(i = 0; i < keyproc2_ptr; i++){
		mmlproc[mmlproc_ptr] = 1; /* $B<oJL!a%-!<%*%U(B */
		mmlproc_p1[mmlproc_ptr] = keyproc2[i]; /* $B2;3,(B */
		mmlproc_p2[mmlproc_ptr] = keyproc2_vel[i]; /* $B%-!<%*%U(Bvelocity */
		/*if(keyproc2_st[mmlproc_ptr] > localgatetime){
		    mmlproc_st[mmlproc_ptr] = localgatetime;
		}else{
		    mmlproc_st[mmlproc_ptr] = keyproc2_st[i];
		}*/
	    mmlproc_st[mmlproc_ptr] = keyproc2_st[i];
		mmlproc_ptr++;
    }
    keyproc2_ptr = 0;
}

void write_step0_change(void)
{
    int i, i1;
    
    for(i = 0; i < mmlproc_ptr;){
    	if(mmlproc_st[i] != 0){i++; continue;}
		if(mmlproc[i] == 2){ /* control change$B$N;~(B */
			put_cntchange(mmlproc_p1[i], mmlproc_p2[i], 0);
		}else if(mmlproc[i] == 3){ /* bend$B$N;~(B */
			put_bend(mmlproc_p2[i], mmlproc_p1[i], 0);
		}else{ i++; continue;}
		for(i1 = i; i1 < mmlproc_ptr - 1; i1++){
		    mmlproc[i1] = mmlproc[i1 + 1];
		    mmlproc_p1[i1] = mmlproc_p1[i1 + 1];
		    mmlproc_p2[i1] = mmlproc_p2[i1 + 1];
		    mmlproc_st[i1] = mmlproc_st[i1 + 1];
		}
		mmlproc_ptr--;
    }
}

void write_mmlproc(int i)
{
    if(mmlproc[i] == 1){ /* $B%-!<%*%U$N;~(B */
	    noteoff(mmlproc_p1[i], mmlproc_p2[i]);
    }else if(mmlproc[i] == 2){ /* control change$B$N;~(B */
		if(check_cntchange(mmlproc_p1[i], mmlproc_p2[i]) == 0){
			put_cntchange0(mmlproc_p1[i], mmlproc_p2[i]);
		}
    }else if(mmlproc[i] == 3){ /* bend$B$N;~(B */
    	if(check_bend(mmlproc_p2[i], mmlproc_p1[i]) == 0){
	    	put_bend0(mmlproc_p2[i], mmlproc_p1[i]);
	    }
    }else{
		printf("Very Big ERROR !\n");
	exit(1);
    }
}

/* $B%-!<%*%U%Y%m%7%F%#!<$r9MN8$7$F%N!<%H%*%U$9$k4X?t(B */
void noteoff(int onkai, int localkoff)
{
    if(localkoff == 0){
    	putnote(onkai, 0);
    }else{
    	putnoteoff(onkai, localkoff);
    }
}

int get_hanon(void)
{
    int code, hanon;
    code = getbyte(1);
    hanon = 0;
    if(code == '+'){
        hanon = 1;
        (void)getbyte(2);
    }else if(code == '-'){
        hanon= -1;
        (void)getbyte(2);
    }
    return hanon;
}
